<?php
    define('PDEL_ENTRY_SCRIPT' , basename(__FILE__ , '.php'));
    require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '_router.php');
    if( ($_SERVER["REQUEST_METHOD"] === 'GET') and (function_exists('microtime') === true) and (is_float(microtime(true)) === true) ){
		$html = <<< HTMLINPUT
{PDEL-HEAD}
<body>
{PDEL-MENU}
{PDEL-MAIN-HTML}
{PDEL-FOOTER}
{PDEL-JS-LINK}
<script src="./public_assets/org/resource/{PDEL_USE_LANG}/js/_pdel_demo_start.js"></script>
<script src="./public_assets/org/js/pdel_demo_start.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    _cntl_recipe();
    _cntl_tooltip();
});
</script>
</body>
</html>
HTMLINPUT;
		$html = str_replace('{PDEL-HEAD}' , genHeader() , $html);
        $html = str_replace('{PDEL-MENU}' , genTopNavi() , $html);
        $html = str_replace('{PDEL-MAIN-HTML}' , getMainHtml() , $html);
        $html = str_replace('{PDEL_USE_BOOTSTRAP_ICON_BTN}' , PDEL_USE_BOOTSTRAP_ICON_BTN , $html);
        $html = str_replace('{PDEL-FOOTER}' , genFooter() , $html);
		$html = str_replace('{SCRIPT_NAME}' , './demo_encrypt.php' , $html);
		$html = str_replace('{PDEL-JS-LINK}' , genJsLink() , $html);
        $limit_time = time() + 300;
        $html = str_replace('{OPT_F_LIMIT_TIME}' , date('YmdHis' , $limit_time) , $html);
        $html = str_replace('{OPT_I_LIMIT_TIME}' , date('YmdHis' , $limit_time) , $html);
        $html = getLocaleResource($html);
        $html = getCommonLocaleResource($html);
		echo $html;
    }
    else{
        if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
        replyInvalidRequest(2);
    }