<?php
    define('PDEL_ENTRY_SCRIPT' , basename(__FILE__ , '.php'));
    require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '_router.php');
    if( $_SERVER["REQUEST_METHOD"] === 'GET' ){
		$html = <<< EOT_HTML
{PDEL-HEADER}
<body data-spy="scroll" data-target=".bs-docs-sidebar">
{PDEL-TOP-NAVI}
{PDEL-SIDE-NAVI}
{PDEL-FOOTER}
{PDEL-JS-LINK}
<script src="./public_assets/org/js/pdel_index.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    _cntl_top_guide();
});
</script>
</body>
</html>
EOT_HTML;
		$html = str_replace('{PDEL-HEADER}' , genHeader() , $html);
        $html = str_replace('{PDEL-TOP-NAVI}' , genTopNavi() , $html);
        $html = str_replace('{PDEL-SIDE-NAVI}' , genSideNavi() , $html);
        $html = str_replace('{PDEL-FOOTER}' , genFooter() , $html);
		$html = str_replace('{PDEL-JS-LINK}' , genJsLink() , $html);
        if( (defined('PDEL_GUEST_BROWSER') === true ) and (PDEL_GUEST_BROWSER === 'Opera') ){
    		$html = str_replace('{PDEL-OPERA-GUIDE}' , '<li class="pdel_li" style="line-height:250%"><span class="pdel_code_red1">{PDEL_i18n_Opera}</span></li>' , $html);
        }
        else{
    		$html = str_replace('{PDEL-OPERA-GUIDE}' , '' , $html);
        }
        $html = getLocaleResource($html);
        $html = getCommonLocaleResource($html);
        echo $html;
    }
    else{
        if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
        replyInvalidRequest(1);
    }