<?php
    define('PDEL_ENTRY_SCRIPT' , basename(__FILE__ , '.php'));
    require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '_router.php');
    if( ($_SERVER['REQUEST_METHOD'] === 'POST') and (array_key_exists('in_zip_name' , $_POST) === true) and (is_string($_POST['in_zip_name']) === true) ){
        switch(true){
            case strpos($_POST['in_zip_name'] , '..') !== false:
            case strpos($_POST['in_zip_name'] , DIRECTORY_SEPARATOR) !== false:
            case strpos($_POST['in_zip_name'] , "\\") !== false:
            case strpos($_POST['in_zip_name'] , '/') !== false:
            case strpos($_POST['in_zip_name'] , ':') !== false:
            case strpos($_POST['in_zip_name'] , '*') !== false:
            case strpos($_POST['in_zip_name'] , '?') !== false:
            case strpos($_POST['in_zip_name'] , '"') !== false:
            case strpos($_POST['in_zip_name'] , '<') !== false:
            case strpos($_POST['in_zip_name'] , '>') !== false:
            case strpos($_POST['in_zip_name'] , '|') !== false:
            case strpos($_POST['in_zip_name'] , ';') !== false:
                if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
                replyInvalidRequest(3);
        }
        $zip_file = realpath(PDEL_RELEASE_NOTES_DIR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'zip' . DIRECTORY_SEPARATOR . $_POST['in_zip_name']);
        if( is_normal_file($zip_file) !== true ){
            if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
            replyInvalidRequest(3);
        }
        $local_name = urlencode(basename($zip_file));
        $local_name = str_replace('+' , '%20' , $local_name);
        $file_size = filesize($zip_file);
        header("Content-type: application/zip");
        header('Content-Length: ' . $file_size);
        header('Content-Disposition: attachment; filename="' . $local_name . '"');
        echo file_get_contents($zip_file , FILE_BINARY);
        exit();
    }
    else{
        if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
        replyInvalidRequest(3);
    }